<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Document</title>
</head>
<body>
    <div class="nav-bar"></div>
    <div class="" id="app">
   
    <div class="product">
   

    <div class="product-image">
        <img :src="image" alt="">
        <a :href="link" target="_blank">More products like this</a>
    </div>

<div class="product-info" id="app">
    <h1>{{title}}</h1>
    <p v-if="inStock > 10">In Stock</p>
    <p v-else-if="inStock<= 10 && inStock > 0">Almost sold out!</p>
    <P v-else :class="{ outOfStock: !inStock}">Out of Stock</P>
    <p>{{sale}}</p>


    <ul>
        <li v-for="detail in details"> {{detail}}</li>
    </ul>
    <ul>
        <li v-for="size in sizes">{{ size }}</li>
      </ul>


      <div v-for="(variant, index) in variants" 
      :key="variant.variantId"
      class="color-box"
      :style="{ backgroundColor: variant.variantColor }"
         @mouseover="updateProduct(index)">
      </div>


      <button v-on:click="addToCart" :disabled="!inStock" :class="{disabledButton: !inStock}">Add to cart</button>
      <button @click="removeFromCart">Remove from cart</button>


      <div class="cart">
        <p>Cart({{ cart }})</p>
      </div>
</div>

</div>
</div>








<script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="main.js"></script>
</body>
</html>